[SCM] jackd2 packaging branch, master, updated. debian/1.9.5.dfsg-13-43-gfc64934

adiknoth-guest at users.alioth.debian.org adiknoth-guest at users.alioth.debian.org
Tue Jul 6 07:57:46 UTC 2010


The following commit has been merged in the master branch:
commit c43decc4e3f1cc9a240f5155bd5fcf76511ae89e
Author: Adrian Knoth <adi at drcomp.erfurt.thur.de>
Date:   Tue Jul 6 09:37:49 2010 +0200

    Improve RTPRIO handling.
    
    Sync jackd2.postinst to jackd1.postinst.

diff --git a/debian/jackd2.install b/debian/jackd2.install
index a632c2e..4c9dd6e 100644
--- a/debian/jackd2.install
+++ b/debian/jackd2.install
@@ -11,3 +11,4 @@ debian/tmp/usr/lib/jack/netadapter.so
 debian/tmp/usr/lib/jack/jack_dummy.so
 debian/bash_completion.d etc
 debian/audio.conf etc/security/limits.d
+debian/audio.conf usr/share/jackd
diff --git a/debian/jackd2.postinst b/debian/jackd2.postinst
index 6cb11b5..93d0fe2 100644
--- a/debian/jackd2.postinst
+++ b/debian/jackd2.postinst
@@ -5,12 +5,22 @@
 
 CONFIG_FILE=/etc/security/limits.d/audio.conf
 
+# if neither $CONFIG_FILE nor ${CONFIG_FILE}.disabled exists, the file
+# somehow got lost. Let's copy it over from /usr/share/
+if [ ! -s ${CONFIG_FILE} -a ! -s ${CONFIG_FILE}.disabled ]; then
+    cp /usr/share/jackd/audio.conf ${CONFIG_FILE}.disabled
+fi
+
 db_get jackd/tweak_rt_limits
 if [ $RET = "true" ]; then
-    mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
+    if [ -e ${CONFIG_FILE}.disabled ]; then
+        mv ${CONFIG_FILE}.disabled ${CONFIG_FILE} || true
+    fi
 else
     # user doesn't want RT prio
-    mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
+    if [ -e $CONFIG_FILE ]; then 
+        mv $CONFIG_FILE ${CONFIG_FILE}.disabled || true
+    fi
 fi
 
 #DEBHELPER#

-- 
jackd2 packaging



More information about the pkg-multimedia-commits mailing list